# $Revision: 1.22 $, $Date: 2012/01/31 11:53:35 $
#
# TODO:
# - consider name change
#
Summary:	LDAP Name Service Switch Module
Summary(es.UTF-8):	Biblioteca NSS para LDAP
Summary(pl.UTF-8):	Moduł NSS LDAP
Summary(pt_BR.UTF-8):	Biblioteca NSS para LDAP
Name:		nss_ldapd
Version:	0.8.4
Release:	2
License:	LGPL
Group:		Base
Source0:	http://arthurdejong.org/nss-pam-ldapd/nss-pam-ldapd-%{version}.tar.gz
# Source0-md5:	ff9559cdc553a87114d2fb2fb0d42d59
Source1:	nslcd.init
Source2:	%{name}.tmpfiles
Patch0:		%{name}-no-root.patch
URL:		http://arthurdejong.org/nss-pam-ldapd/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	cyrus-sasl-devel
BuildRequires:	heimdal-devel
BuildRequires:	openldap-devel >= 2.4.6
BuildRequires:	pam-devel
Requires(post,preun):	/sbin/chkconfig
Requires:	nslcd
Requires:	rc-scripts >= 0.2.0
Conflicts:	nss_ldap
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_libdir		/%{_lib}

%description
nss_ldapd is a C library extension (NSS module) and daemon which
allows X.500 and LDAP directory servers to be used as a primary source
of aliases, ethers, groups, hosts, networks, protocols, users, RPCs,
services and shadow passwords (instead of or in addition to using flat
files or NIS).

%description -l pl.UTF-8
Moduł serwisu nazw oraz osobny demon. Ten pakiet pozwala na
korzystanie z serwerów X.500 i LDAP jako źródła aliasów, grup, hostów,
sieci, protokołów, użytkowników, RPC, usług i haseł (zamiast lub
oprócz zwykłych plików lub NIS).

nss_ldapd jest forkiem projektu nss_ldap. Celem projektu jest
naprawienie pewnych problemów z nss_ldap poprzez wydzielenie kodu LDAP
do osobnego demona.

%package nslcd
Summary:	NSS LDAPD name service daemon
Summary(pl.UTF-8):	Demon serwisu nazw NSS LDAPD
Group:		Base
Provides:	nslcd

%description nslcd
NSS LDAPD name service daemon.

%description nslcd -l pl.UTF-8
Demon serwisu nazw NSS LDAPD.

%package pam
Summary:	NSS LDAPD Pluggable Authentication Module
Summary(pl.UTF-8):	Moduł PAM do uwierzytelniania z użyciem NSS LDAPD
Group:		Base
Requires:	nslcd
Conflicts:	pam-pam_ldap

%description pam
This is pam_ldap, a pluggable authentication module that can be used
with linux-PAM. This module supports authentication, account
management, password management and session management.

%description pam -l pl.UTF-8
To jest pam_ldap, wymienny moduł uwierzytelniania, który może być
użyty z linux-PAM. Moduł ten wspiera autentykację, obsługę kont,
zmianę haseł i obsługę sesji.

%prep
%setup -q -n nss-pam-ldapd-%{version}
%patch0 -p1

%build
%configure \
	--with-pam-seclib-dir=/%{_lib}/security \
	--with-ldap-lib=openldap

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir},/etc/rc.d/init.d,/var/run/nslcd} \
	$RPM_BUILD_ROOT/usr/lib/tmpfiles.d

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/nslcd
install %{SOURCE2} $RPM_BUILD_ROOT/usr/lib/tmpfiles.d/%{name}.conf

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%pre nslcd
%useradd -u 21 -d /usr/share/empty -s /bin/false -c "NSS LDAP Cache Daemon User" -g nobody nslcd

%post nslcd
/sbin/chkconfig --add nslcd
%service nslcd restart "NSS LDAP Cache Daemon"

%preun nslcd
if [ "$1" = "0" ]; then
	%service nslcd stop
	/sbin/chkconfig --del nslcd
fi

%postun nslcd
if [ "$1" = "0" ]; then
	%userremove nslcd
fi

%triggerpostun nslcd -- nss_ldapd < 0.7.0
if [ -e %{_sysconfdir}/nss-ldapd.conf.rpmsave ]; then
	mv -f %{_sysconfdir}/nslcd.conf{,rpmnew}
	mv -f %{_sysconfdir}/nss-ldapd.conf.rpmsave %{_sysconfdir}/nslcd.conf
fi

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_libdir}/*.so*

%files nslcd
%defattr(644,root,root,755)
%attr(754,root,root) /etc/rc.d/init.d/nslcd
%attr(640,nslcd,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/nslcd.conf
%attr(755,root,root) %{_sbindir}/nslcd
%{_mandir}/man5/nslcd.conf.5*
%{_mandir}/man8/nslcd.8*
%dir /var/run/nslcd
/usr/lib/tmpfiles.d/%{name}.conf

%files pam
%defattr(644,root,root,755)
%attr(755,root,root) /%{_lib}/security/pam_ldap.so
%{_mandir}/man8/pam_ldap.8*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: nss_ldapd.spec,v $
Revision 1.22  2012/01/31 11:53:35  baggins
- release 2

Revision 1.21  2012/01/31 11:31:49  baggins
- added tmpfiles config for systemd

Revision 1.20  2011/09/27 10:31:50  baggins
- 0.8.4

Revision 1.19  2011/08/04 06:02:55  baggins
- rel 2
- that _libdir WAS NOT FOR PAM! it was for NSS module!

Revision 1.18  2011/08/03 06:14:42  baggins
- 0.8.3

Revision 1.17  2011/04/27 13:46:32  alucard
- up to 0.8.2
- better control of pam module location

Revision 1.16  2010/11/08 12:38:07  baggins
- 0.7.12

Revision 1.15  2010/10/04 18:19:59  baggins
- 0.7.10
- fixed no-root patch for updated config

Revision 1.14  2010/08/20 10:05:10  baggins
- 0.7.8

Revision 1.13  2010/07/19 08:45:02  baggins
- 0.7.7
- proper URLs

Revision 1.12  2010/06/02 12:16:05  baggins
- 0.7.6

Revision 1.11  2010/04/21 12:49:51  baggins
- 0.7.3

Revision 1.10  2010/01/14 22:46:04  baggins
- rel 2

Revision 1.9  2010/01/14 22:14:22  sparky
- BR: pam-devel
- added missing %defattr

Revision 1.8  2010/01/14 14:38:50  baggins
- 0.7.2
- moved daemon to separate package (slapd nssov overlay can provide it, too)
- require daemon in main package via virt prov

Revision 1.7  2009/11/05 13:15:34  baggins
- rel 2
- added pam package, pam_ldap module can change passwords now

Revision 1.6  2009/11/05 11:22:03  baggins
- 0.7.1

Revision 1.5  2009/09/17 21:48:09  baggins
- up to 0.7.0
- don't run daemon as root
- config file name has changed

Revision 1.4  2009/06/22 21:09:02  zbyniu
- up to 0.6.10

Revision 1.3  2009/01/19 07:46:21  pawelz
- pl %%description

Revision 1.2  2009/01/19 02:56:41  aredridel
- C:nss_ldap
- doesn't R:openldap-nss-config

Revision 1.1  2009/01/19 00:48:13  aredridel
- added
- NFY: needs init script and spec cleanups

